
Robotics Service Bus - Tasks #343
Create Intelligent Logger
06/05/2011 12:48 PM - J. Moringen

Status: Resolved Start date: 05/26/2011
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Common Lisp Estimated time: 0.00 hour
Target version: 0.3
Description
Print event components
    -  Meta-data
        -  Sender
        -  Timestamps (including user-supplied ones)
        -  UserInfo items
    -  Payload
        -  If not decodable, only content length (or hexdump?)
        -  If string, print it (may require truncation)
        -  If protocol buffer, display field values

Associated revisions
Revision 82a401ea - 06/08/2011 10:52 PM - J. Moringen
Added CMake build files CMakeLists.txt, sbcl.cmake.in
refs #343
    -  CMakeLists.txt: new file; CMake build script for utilities
    -  sbcl.cmake.in: new file; helper script for CMake build
    -  logger/dump.lisp: new file; dumps rsb-logger system into an

  executable

Revision a280dd51 - 06/13/2011 08:38 PM - J. Moringen
Added cl-rsb-common in common/ directory
refs #343
    -  common/options.lisp: new file; common commandline option

  processing functions
    -  common/help.lisp: new file; common help text generation

  functions
    -  common/debugger.lisp: new file; a function for disabling the

  debugger
    -  common/package.lisp: new file; package definition for rsb.common
    -  cl-rsb-common.asd: new file; system definition of cl-rsb-common

Revision f9664a49 - 06/13/2011 08:38 PM - J. Moringen
Renamed system rsb-logger -> cl-rsb-tools-logger
refs #343
    -  cl-rsb-tools-logger.asd: renamed rsb-logger.asd ->

  cl-rsb-tools-logger.asd
  (package cl-rsb-tools-logger-system): renamed rsb-logger-system ->
  cl-rsb-tools-logger-system
  (system cl-rsb-tools-logger): renamed rsb-logger ->
  cl-rsb-tools-logger; added dependency on cl-rsb-common
Revision e54f3374 - 06/13/2011 08:38 PM - J. Moringen
Cleanup and simplifications in logger/{main,package}.lisp
refs #343
    -  logger/main.lisp (toplevel): changed containing package rsb-logger

  -> rsb.tools.logger
  (make-help-string): new function; build help string for commandline
  interface using `print-uri-help-string'
  (update-synopsis): use `make-help-string' and `make-common-options';
  changed --detail-level -> --style; added documentation string
  (make-filter-tree): renamed construct-filter -> make-filter-tree;
  added documentation string
  (main): use `process-command-line-options'; cleanup; added
  documentation string

    -  logger/package.lisp (package rsb.tools.logger): renamed rsb-logger
  -> rsb.tools.logger; added used package rsb.common; added exported
  symbol main

    -  logger/dump.lisp: adjusted system names; do not disable the debugger

Revision bc5ead0e - 06/13/2011 08:48 PM - J. Moringen
Improved formatting code in formatting/*.lisp
fixes #343
    -  formatting/util.lisp (with-indent): fixed

  (with-indented-section): fixed; added documentation string
  (format-aligned-items): simplified; added documentation string
  (format-maybe): removed; unused
  (tracker): new special variable; used by `format-recursively'
  (format-recursively): handle recursive structures correctly
  (format-instance): fixed; added documentation string

    -  formatting/protocol.lisp (format-event): added keyword parameters
  max-lines and max-columns; extended documentation string
  (format-payload): likewise

    -  formatting/payload.lisp (header): added one-line summary
  (format-payload :around t t t): new method; supply default values
  for max-lines and max-columns
  (format-payload t t t): new method; format event using the pretty
  printer
  (format-payload vector t t): rewrote hexdump code to adhere to line
  and column limits
  (format-payload string t t): similar for strings
  (format-payload standard-object t t): added documentation string

    -  formatting/event.lisp (header): added one-line summary
  (format-event :around event t t): new method; supply defaults for
  max-lines and max-columns
  (format-event event eql :discard t): new method; discard the event
  (format-event event eql :compact t): changed specializer eql :line
  -> eql :compact; changed output format
  (format-event event eql :detailed t): include more details
  (format-event :after event eql :detailed t): new method; draw a
  horizontal rule below detailed events
History
#1 - 06/07/2011 11:37 PM - J. Moringen
- % Done changed from 30 to 80

#2 - 06/13/2011 08:48 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 80 to 100

Applied in changeset r1540.
